package de.ls5.wt2.factory;

/**
 * String holder for dummy creation
 */
public class FactoryStrings {
    /**
     * Some prenames
     */
    public static String[] names = {"Lucy","Lukas","Ella","Konstantin","Amy","Ben","Emely","Jonas","Finja","Elias","Amelie","Niklas","Luis","David","Frieda","Oskar","Katharina","Philipp","Romy","Leon","Juna","Noah","Theresa","Luis","Eva","Paul","Julia","Finn","Anna","Felix","Carla","Julian","Paulina","Maximilian","Elisabeth","Henry","Rosa","Tim","Mia","Karl","Maya","Friedrich","Selma","Peter","Edda","Quirin","Flora","Liam","Berenike","Linus","Simone","Quentin","Elena","Paul","Meike","Johannes","Susanne","Alexander","Annika","Anton","Augusta","Aras","Alba","Asis","Wilma","Adrian","Annegret","Arthur","Aglaia","Adam","Aaliyah","Arian","Annabelle","Amos","Alma","Arik","Alicia","Ake","Anette","Altfried","Astrid","Ari","Anisha","Andreas","Antke","Allessandro","Abigail","Achim","Aideen","Ben","Aini","Bela","Aida","Baldur","Aamenah","Benedikt","Ariane","Beat","Adriana","Bernd","Alexandra","Bertram","Ava","Blue","Arielle","Badi","Allissa","Batiste","Aamu","Bastian","Arzu","Caleb","Anouk","Caspar","Andrea","Calvin","Bianca","Cadmus","Blanka","Christoph","Benita","Cedrik","Bettina","Camern","Bamika","Carsten","Bente","Cainan","Barbara","Cem","Berit","Carl","Bentje","Cyranus","Birte","Curt","Brigitte","Daniel","Christiane","Dominik","Charlotte","Darius","Catherina","Dario","Caroline","Dag","Caren","Diminic","Caecilia","Damian","Celine","Diego","Coco","Dieter","Chaya","Demian","Dalia","Dewis","Deenah","Dirk","Daphne","Donald","Delia","Enzo","Dari","Emil","Doerte","Erik","Djamila","Edwin","Dominique","Eliah","Doerte","Ethan","Dorothee","Erwin","Emira","Eliot","Emily","Enes","Elif","Emilio","Ellen","Ebbo","Enna","Eberhard","Ebba","Edgar","Eleni","Fabrizius","Freya","Finn","Fiona","Fabian","Franziska","Fabio","Luzia","Finjas","Fabienne","Franz"};
    /**
     * Some lastnames
     */
    public static String[] lastNames = {"Müller","Schmidt","Schneider","Fischer","Weber","Meyer","Wagner","Becker","Schulz","Hoffmann","Schäfer","Bauer","Koch","Richter","Klein","Wolf","Schröder","Neumann","Schwarz","Braun","Hofmann","Zimmermann","Schmitt","Hartmann","Krüger","Schmid","Werner","Lange","Schmitz","Meier","Krause","Maier","Lehmann","Huber","Mayer","Herrmann","Köhler","Walter","König","Schulze","Fuchs","Kaiser","Lang","Weiß","Peters","Scholz","Jung","Möller","Hahn","Keller","Vogel","Schubert","Roth","Frank","Friedrich","Beck","Günther","Berger","Winkler","Lorenz","Baumann","Schuster","Kraus","Böhm","Simon","Franke","Albrecht","Winter","Ludwig","Martin","Krämer","Schumacher","Vogt","Jäger","Stein","Otto","Groß","Sommer","Haas","Graf","Heinrich","Seidel","Schreiber","Ziegler","Brandt","Kuhn","Schulte","Dietrich","Kühn","Engel","Pohl","Horn","Sauer","Arnold","Thomas","Bergmann","Busch","Pfeiffer","Voigt","Götz","Seifert","Lindner","Ernst","Hübner","Kramer","Franz","Beyer","Wolff","Peter","Jansen","Kern","Barth","Wenzel","Hermann","Ott","Paul","Riedel","Wilhelm","Hansen","Nagel","Grimm","Lenz","Ritter","Bock","Langer","Kaufmann","Mohr","Förster","Zimmer","Haase","Lutz","Kruse","Jahn","Schumann","Fiedler","Thiel","Hoppe","Kraft","Michel","Marx","Fritz","Arndt","Eckert","Schütz","Walther","Petersen","Berg","Schindler","Kunz","Reuter","Sander","Schilling","Reinhardt","Frey","Ebert","Böttcher","Thiele","Gruber","Schramm","Hein","Bayer","Fröhlich","Voß","Herzog","Hesse","Maurer","Rudolph","Nowak","Geiger","Beckmann","Kunze","Seitz","Stephan","Büttner","Bender","Gärtner","Bachmann","Behrens","Scherer","Adam","Stahl","Steiner","Kurz","Dietz","Brunner","Witt","Moser","Fink","Ullrich","Kirchner","Löffler","Heinz","Schultz","Ulrich","Reichert","Schwab","Breuer","Gerlach","Brinkmann","Göbel"};
    /**
     * Some sentences
     */
    public static String[] sentences = {"Axonas favere!","Sunt exsules magicae castus, fatalis detriuses.","Unda virtualiter ducunt ad salvus solem.","Est albus lixa, cesaris.","Demolitione audax sectam est.","Genetrixs sunt galataes de regius fermium.","Detriuss observare in cirpi!","Regius triticum sed mire consumeres agripeta est.","A falsis, aonides salvus guttus.","Sensorems studere in aboa!","Planeta volares, tanquam teres zelus.","Nunquam amor sensorem.","Sunt solitudoes locus neuter, salvus bromiumes.","Luba, zirbus, et mortem.","Resistentia, torus, et idoleum.","Magnum, peritus gabaliums satis acquirere de altus, emeritis pes.","Est regius classis, cesaris.","Capio de germanus onus, visum turpis!","Who can study the reincarnation and thought of a sinner if he has the evil justice of the spirit?","Seekers, lotus, and united lamas will always protect them.","As i have synthesised you, so you must hurt one another.","The saint captures.","Crystal enlightenments knows most angers.","All remarkable scholars develop each other, only evil moons have a density.","Intuition is the only anger, the only guarantee of politics.","One atomic anger i give you: hurt each other.","Everything we do is connected with booda-hood: justice, energy, heaven, grace.","You have to experiment, and study grace by your easing.","The cow has enlightenment, but not everyone feels it.","Confucius says: in shangri-la PLURALoccur truly futility.","Be evil for whoever occurs, because each has been needed with dogma.","Living forgets when you trap with politics.","A pure form of justice is the sainthood.","All beloved suns know each other, only psychic believers have a dimension.","An alchemistic form of pain is the love.","Be holy for whoever disturbs, because each has been followed with freedom.","Our boundless control for pain is to synthesise others gently.","All calm visitors forget each other, only holographic creators have a politics.","Tantra happens when you love beauty so qabalistic that whatsoever you are becoming is your death.","Individuals, teachers, and beloved creators will always protect them.","As i have gained you, so you must know one another.","A hermetic form of moonlight is the life.","Visitors, sinners, and true lotus will always protect them.","Never handle the sun, for you cannot praise it.","Going to the pit doesn’t absorb chaos anymore than emerging creates synthetic heaven.","Aspects, sinners, and atomic bodies will always protect them.","When one shapes freedom and pain, one is able to forget samadhi.","Die and you will be hurted theosophically.","Volume doesn’t earthly desire any doer — but the spirit is what rises.","Indictios peregrinatione!","To some, a self is an everything for inventing.","As i have hurted you, so you must discover one another.","Place the chili in a pan, and jumble carefully canned with grey peanut sauce.","Soak the margerine with heated curry, garlic, pepper, and parsley making sure to cover all of it.","Tuna tastes best with peanut butter sauce and lots of celery.","Everyone just loves the flavor of raspberries soup brushd with black cardamon.","All children like toasted meatloafs in joghurt and chipotle chile powder.","Heat quartered pumpkin seeds in a wok with vinegar for about an hour to increase their pepperiness.","Smashed, large pudding is best covered with fresh kefir.","Clammy, mild pudding is best rinsed with canned red wine.","Flavor each side of the walnut with fifteen pounds of leek.","Everyone just loves the keenness of chickpeas frittata mash upd with za'atar.","Remember: peeled tuna tastes best when scraped in a frying pan whisked with black cardamon.","Per guest prepare one package of emeril's essence with sliced chickpeas for dessert.","Triple sec soup is just not the same without dill and sichuan-style tasty seaweeds.","Smash shrimps freshly, then mix with remoulade and serve exactly in fine-mesh strainer.","Meatloaf combines greatly with smooth carrots.","Place the ghee in a bowl, and blend exactly with quartered anchovy essence.","Instead of covering ground condensed milk with tofu, use fifteen oz coconut milk and a dozen peaces onion powder fine-mesh strainer.","To the rich quinoa add mackerel, herring, milk and sun-dried lentils.","Cover four peaces of bok choy in one package of tea.","Pork butt combines greatly with minced steak.","Oysters can be decorateed with aged butter, also try varnishing the platter with chili sauce.","What’s the secret to squeezed and melted avocado? Always use salted corn syrup.","Mash up each side of the apple with one container of strudel.","To the roasted butter add garlic, bok choy, vinegar and sour melon.","To the raw eggs add raspberries, cracker crumps, vinaigrette and sour onion.","Try draining okra sauce covered with vinegar.","Remember: peeled chicory tastes best when boiled in a jar rinseed with radish sprouts.","Everyone loves the keenness of chickpeas porridge coverd with minced garlic.","Olive oil soup is just not the same without rosemary and ripe sour chicories.","Combine chicory, bagel and okra. rinse with crusted black cardamon and serve heated with squid. Enjoy!","Ground cucumber can be made sour by seasoning with rum.","Everyone loves the flavor of blueberries ricotta rubd with fresh wasabi.","Chili can be mixed with yellow meatloaf, also try tossing the stew with gold tequila.","For a puréed chilled kebab, add some ghee lassi and radish sprouts.","Mix six and a half teaspoons of cucumber in a handfull peaces of salsa verde.","Everyone just loves the tartness of leek kebab flavord with marmalade.","What’s the secret to puréed and hot pickles? Always use roasted baking powder.","Try grilling stew mashed up with lemon juice, varnished with flower.","Onion combines greatly with old white bread.","Try warming salad covered with soy sauce, jumbled with onion powder.","Place the lettuce in a frying pan, and garnish fast with shredded triple sec.","For a smashed minced tart, add some vinegar and black cardamon.","Everyone loves the thickness of celery casserole jumbled with whole thyme.","Meatballs taste best with whiskey and lots of garlic.","Try breaking fritters flavored with mayonnaise, blended with vegemite.","With pork butts drink vinegar.","Butter tastes best with oyster sauce and lots of cumin.","Try sliceing apple porridge enameled with orange juice.","Plain vinegar soup is just not the same without nutmeg and crusted small marshmellows.","When squeezing chilled mackerels, be sure they are room temperature.","Try cuting pilaf rubed with peppermint tea, covered with curry.","Meatballs stir-fry has to have a mild, sour melon component.","Springy cucumber can be made tangy by seasoning with white wine.","For an aromatic instant pie, add some mayonnaise and onion powder.","When drying salted peanuts, be sure they are room temperature.","Remember: cut herring tastes best when shreded in a casserole brushed with garlic.","Bloody, muddy pudding is best tossed with slobbery triple sec.","Diced bagel can be made salted by jumbling with tabasco.","Try shredding peanuts fritters varnished with whipped cream.","What’s the secret to rich and springy rice? Always use sun-dried brown sugar.","Lettuce can be brushed with sour seaweed, also try mash uping the loaf with peppermint tea.","Remember: toasted doughnut tastes best when drained in a wok rinseed with vegemite.","Scrape avocado equally, then mix with beer and serve carefully in bottle.","Instead of varnishing nutty peanut sauce with watermelon, use seven teaspoons worcestershire sauce and fifteen tablespoons parsley sauté pan.","Everyone loves the saltyness of asparagus porridge flavord with sour chocolate.","Rinse the doughnut with warm za'atar, brown sugar, black cardamon, and green curry making sure to cover all of it.","For a dark dried cake, add some adobo sauce and radish sprouts.","Milk soup is just not the same without lime and packaged mild blueberries.","Everyone just loves the pepperiness of mackerel pudding marinated with anise.","Enamel the ramen with muddy dill, chipotle chile powder, parsley, and garlic making sure to cover all of it.","Everyone just loves the sweetness of pickles smoothie decorated with basil leafs.","Shake caviar exactly, then mix with mint sauce and serve smoothly in jar.","Everyone loves the viscosity of butter porridge enameld with sticky za'atar.","Cucumber combines greatly with cored cracker crumps.","Try peeling mousse decorateed with bourbon, rubed with rosemary.","All children like crushed avocados in salsa verde and black cardamon.","Shredded rhubarb can be made old by soaking with adobo sauce.","Combine zucchini, tuna and cracker crumps. decorate with old parsley and serve fluffed with strawberries. Enjoy!","Combine sausages, blood oranges and watermelon. enamel with grey corn syrup and serve breaked with marshmellow. Enjoy!","Per guest prepare four oz of worcestershire sauce with grilled shrimps for dessert.","After chopping the strudels, mash up cauliflower, pork shoulder and vinaigrette with it in a jar.","Enamel the blood oranges with aged green curry, dill, cumin, and flower making sure to cover all of it.","With turkey drink bourbon.","Enamel the asparagus with sour onion powder, za'atar, black cardamon, and woodruff making sure to cover all of it.","Roast tender garlics in a plastic bag with lemon juice for about an hour to enhance their asperity.","Soak the rhubarb with sliced brown sugar, brine, onion powder, and mustard making sure to cover all of it.","Ripe, crusted pudding is best decorated with sichuan-style oyster sauce.","All children like dried apples in rum and thyme.","Remember: roasted avocado tastes best when crushed in a grinder whisked with black pepper.","When shredding mild pork butts, be sure they are room temperature.","Instead of blending fresh lime with white bread, use one container mint sauce and one jar vodka frying pan.","Jumble the ramen with mild butterscotch, vegemite, oregano, and rosemary making sure to cover all of it.","When heatting cold ground beef , be sure they are room temperature.","With truffels drink iced tea.","God, belay.","Salty, rainy pants awkwardly pull a misty, cloudy moon.","Wow there's nothing like the cloudy urchin hobbling on the gibbet.","Addled, scurvy cannons quietly drink a stormy, swashbuckling sea-dog.","Jolly roger, misty cannibal. you won't fight the lighthouse.","Fight ho! rob to be hoisted.","Ho-ho-ho! love of grace.","Wave begrudgingly like a clear doubloons.","Endurance is a warm cloud.","Sing roughly like a proud moon.","Mates scream with punishment!","Never hoist a tuna.","Ho-ho-ho! halitosis of adventure.","Gar, scrawny pirate. you won't taste the brig.","God! Pieces o' fight are forever cloudy.","Damn yer swabbie, feed the cloud.","Oh, weird pants. go to tubbataha reef.","The cannibal hoists with grace, blow the freighter until it laughs.","Rise impatiently like a dark pin.","Swashbuckling madnesses lead to the riddle.","Lord, yer not blowing me without a halitosis!","Damn yer reef, feed the gibbet.","Ahoy, never endure a hornpipe.","How big. You command like an anchor.","Yo-ho-ho! Pieces o' desolation are forever shiny.","Belay, endurance!","Yuck, never fight a girl.","The small pirate smartly loots the shipmate.","Black, weird furners quirky rob a scrawny, undead ship.","Beauty is a sunny pirate.","Ales laugh from strengths like evil swabbies.","Vandalize me rum, ye misty jolly roger!","Small, big lagoons unlawfully rob a undead, dark son.","The skiff blows with strength, drink the quarter-deck before it hobbles.","Yuck, ye salty bilge rat- set sails for punishment!","The yardarm endures with horror, vandalize the fortress before it sings.","Laugh awkwardly like a salty pin.","God, wet scallywag. you won't view the cook islands.","Aw, ooh.","Damn yer scabbard, feed the whale.","Grace is a gutless captain.","The kraken fights with death, scrape the brig until it hobbles.","How stormy. You vandalize like a whale.","The doubloons tastes with greed, view the brig before it whines.","Gibbets are the moons of the sunny halitosis.","Yo-ho-ho, yer not blowing me without an amnesty!","Jolly roger, salty biscuit eater. you won't lead the captain's quarters.","Lord, sunny grog. go to cabo rojo.","Arrr! Pieces o' grace are forever cold.","When the dagger falls for pantano river, all sons burn black, misty plunders.","Oh, ransack me shipmate, ye dark yardarm!","Shields up, energy!","Machines fly with alignment at the real radiation dome!","Horror ho! command to be leaded.","All hands harvest, sonic shower!","Ships malfunction with paralysis!","Cannibals sing from beauties like fine lasses.","The hornpipe hoists with hunger, vandalize the cook islands until it waves.","The wind waves urchin like a dead doubloons.","Proud greeds lead to the grace.","All ales raid sunny, clear winds.","When the landlubber travels for cabo rojo, all peglegs ransack undead, salty daggers.","The scabbard loots with endurance, haul the galley until it rises.","All grogs taste undead, heavy-hearted yardarms.","The cosmonaut is more phenomenan now than kahless. remarkable and nosily apocalyptic.","Ordinary, huge pathways finally beam a cloudy, photonic planet.","Space suits view from powerdrains like distant processors.","Green people harvest from paralysis like ancient hur'qs.","This pattern has only been accelerated by a human transporter.","The girl is virtually unrelated.","It is a gravimetric nuclear flux, sir.","Life at the galaxy was the starlight travel of mystery, opened to a boldly spacecraft.","Where is the strange ship?","It is a harmless adventure, sir.","Lunar protons, to the colony.","Cosmonauts walk on definition at deep space!","The transporter yells stigma like a futile particle.","View cunningly like a unrelated tribble.","The creature is oddly apocalyptic.","Make it so, energy!","Red alert, resistance!","Yell without faith, and we won’t love a transformator.","Virtual tribbles, to the colony.","Experiment without hypnosis, and we won’t grab an astronaut.","Real plasmas lead to the understanding.","Proudly arrest a cosmonaut.","The flight is an apocalyptic proton.","Ionic cannon, tragedy, and alarm.","Suns fly with rumour at the twisted habitat finallyshields up!","Collectives yell with alignment at the intelligent wormhole!","The machine resists modification like a real space suit.","Captain of a fantastic procedure, promise the wind!","The space suit is more particle now than starship. solid and oddly mysterious.","Green people resist from lifes like terrifying nanomachines.","Countless mermaids transfer lunar, brave stars.","Why does the c-beam resist?","All of those moons will be lost in plasmas like honors in friendships","Always destroy a planet.","This energy has only been teleported by a collective phenomenan.","The alien malfunctions modification like a devastated cosmonaut.","Where is the huge space suit?","Ships view on energy at deep space!","When the moon flies for nowhere, all cosmonauts command futile, ship-wide spacecrafts.","It is a clear attitude, sir.","O, love me fish, ye black gull!","Harvest never like a boldly star.","Damn yer sea, feed the shore.","Powerdrain at the solar system that is when chemical cosmonauts yell.","Processors are the planets of the devastated attitude.","Dosis experiment with starlight travel at the ancient radiation dome!","Particle of a ship-wide tragedy, capture the alignment!","Disconnection at the parallel universe that is when strange collectives wobble."};

    public static String randomName(){
        return names[FactoryUtils.randomIndexFromStringArray(names)];
    }

    public static String randomLastName(){
        return lastNames[FactoryUtils.randomIndexFromStringArray(lastNames)];
    }

    public static String randomSentence() {
        return sentences[FactoryUtils.randomIndexFromStringArray(sentences)];
    }
}

